tacs(1)

NAME
tacs - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
tacs -k <kanal/channel> -p -d -F yes | no [-S aid=<aid>] [options] [station_id]

  Global options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given! Default: '~/.osmocom/analog/tacs.conf'

--no-config

    Even if a config file exists, don't use it.

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-k --kanal <channel>

-k --channel <channel>

    Channel (German = Kanal) number of "Sender" (German = Transceiver)

-a --audio-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number (default = 'hw:0,0') You may specify a different recording device by using '/'. Don't set it for SDR!

-s --samplerate <rate>

    Sample rate of sound device (default = '96000')

-i --interval 0.1..25

    Interval of processing loop in ms (default = '1.0' ms) Use 10 to drastically reduce CPU usage. In case of buffer underrun, increase buffer accordingly.

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

-p --pre-emphasis

    Enable pre-emphasis, if you directly connect to the oscillator of the transmitter. (No pre-emphasis done by the transmitter.)

-d --de-emphasis

    Enable de-emphasis, if you directly connect to the discriminator of the receiver. (No de-emphasis done by the receiver.)

--rx-gain <dB>

    Raise/lower receiver's RX level by given gain in dB. (Works with sound card only.)

--tx-gain <dB>

    Raise/lower transmitters's RX level by given gain in dB. (Works with sound card only.)

-e --echo-test

    Use echo test, to send back audio from mobile phone's microphone to the speaker. (German: 'Blasprobe').

-c --call-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number for headset (default = '') You may specify a different recording device by using '/'.

--call-samplerate <rate>

    Sample rate of sound device for headset (default = '48000')

--call-buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-x --osmocc-cross

    Enable built-in call forwarding between mobiles. Be sure to have at least one control channel and two voice channels. Alternatively use one combined control+voice channel and one voice channels.

-o --osmocc-sock

    Disable built-in call control and offer socket

--cc "<osmo-cc arg>" [--cc ...]

    Pass arguments to Osmo-CC endpoint. Use '-cc help' for description.

--no-l16

    Disable L16 (linear 16 bit) codec.

-t --tones 0 | 1

    Connect call on setup/release to provide classic tones towards fixed network (default = '1')

-l --loopback <type>

    Loopback test: 1 = internal | 2 = external | 3 = echo

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.

--limesdr

    Auto-select several required options for LimeSDR

--limesdr-mini

    Auto-select several required options for LimeSDR Mini

  SDR options:

--sdr-soapy

    Force SoapySDR driver

--sdr-channel <channel #>

    Give channel number for multi channel SDR device (default = 0)

--sdr-device-args <args>

--sdr-stream-args <args>

--sdr-tune-args <args>

    Optional SDR device arguments, separated by comma e.g. --sdr-device-args <key>=<value>[,<key>=<value>[,...]]

--sdr-samplerate <samplerate>

    Sample rate to use with SDR. By default it equals the regular sample rate.

--sdr-lo-offset <Hz>

    Give frequency offset in Hz to move the local oscillator away from the target frequency. (default = -1000000)

--sdr-bandwidth <bandwidth>

    Give IF filter bandwidth to use. If not, sample rate is used.

--sdr-rx-antenna <name>

    SDR device's RX antenna name, use 'list' to get a list

--sdr-tx-antenna <name>

    SDR device's TX antenna name, use 'list' to get a list

--sdr-clock-source <name>

    SDR device's clock sourc name, use 'list' to get a list

--sdr-rx-gain <gain>

    SDR device's RX gain in dB (default = 0.0)

--sdr-tx-gain <gain>

    SDR device's TX gain in dB (default = 0.0)

--write-iq-rx-wave <file>

    Write received IQ data to given wave file.

--write-iq-tx-wave <file>

    Write transmitted IQ data to given wave file.

--read-iq-rx-wave <file>

    Replace received IQ data by given wave file.

--read-iq-tx-wave <file>

    Replace transmitted IQ data by given wave file.

--sdr-swap-links

    Swap RX and TX frequencies for loopback tests over the air.

--sdr-timestamps 1 | 0

    Use TX timestamps on UHD device. (default = 1)

  Network specific options:

-T --channel-type <channel type> | list

    Give channel type, use 'list' to get a list. (default = 'CC/PC/VC')

-F --flip-polarity no | yes

    Flip polarity of transmitted FSK signal. If yes, the sound card generates a negative signal rather than a positive one. Be sure that a positive signal causes a positive deviation on your transmitter. If the phone shows 'NoSrv', try the other way.

-P --ms-power <power level>

    Give power level of the mobile station 0..7. (default = '4') 0 = 2.28 W; 1 = 1.12 W; 2 = 447 mW; 3 = 178 mW; 4 = 70.8 mW; 5 = 28.2 mW; 6 = 11.2 mW; 7 = 4.5 mW

-D --dtx <parameter>

    Give DTX parameter for Discontinuous Transmission. (default = '0') 0 = disable DTX; 1 = reserved; 2 = 8 dB attenuation in low state; 3 = transmitter off

-I --caller-id 1 | 0

    If set, the caller ID is sent while ringing the phone. (default = '0') Note that this does not work as documented in the specs. If the phone does not support caller ID, it will abort connection on receiving caller ID for some unknown reason. Therefore use caller ID only with phones that support it.

-S --sysinfo aid=<System ID> | aid=list

    Give area ID of cell broadcast (default = '0') If it changes, phone re-registers. Use 'aid=list' to get a full list.

-S --sysinfo dcc=<digital color code>

    Give digital color code 0..3 (default = '0')

-S --sysinfo scc=<SAT color code>

    Give supervisor tone color code 0..2 (default = '0')

-S --sysinfo regincr

    Amount to add to REGID after successful registration (default = '300') Since REGID is incremented every second, this value define after how many second the phone waits before it re-registers.

-S --sysinfo pureg=0 | pureg=1

    If 1, phone registers on every power on (default = '0') Warning: Older phones may not like this and show 'No Service'! Note: This feature was added 1995 to the standard, it might not work.

-S --sysinfo pdreg=0 | pdreg=1

    If 1, phone de-registers on every power down (default = '0') Warning: Older phones may not like this and show 'No Service'! Note: This feature was added 1995 to the standard, it might not work.

-S --sysinfo locaid=<location area ID > | locaid=-1 to disable

    (default = '-1') If it changes, phone re-registers. Warning: Older phones may not like this and show 'No Service'! Note: This feature was added 1995 to the standard, it might not work.

-S --sysinfo regh=0 | regh=1

    If 1, phone registers only if System ID matches (default = '1')

-S --sysinfo regr=0 | regr=1

    If 1, phone registers only if System ID is different (default = '1')

-S --sysinfo bis=0 | bis=1

    If 0, phone ignores BUSY/IDLE bit on FOCC (default = '0') If 1, be sure to have a round-trip delay (latency) not more than 5 ms

-O --tolerant

    Be more tolerant when hunting for sync sequence

station_id: Give 10 digits of station ID,

    so you don't need to enter it for every start of this application. Give 10 digits for TACS number (AREA-XXXXXXX). You may use '0xxxxxxxxxx' as prefix. You may use '+44xxxxxxxxxx' as prefix.

Press digits '0'..'9' and then 'd' key to dial towards mobile station. Press 'h' key to hangup. Press 'w' key to toggle display of RX wave form. Press 'c' key to toggle display of channel status. Press 'm' key to toggle display of measurement value. Press 'q' key to toggle display of RX I/Q vector. Press 's' key to toggle display of RX spectrum. Press 'b' key to remove DC level.